Минимальная версия iOS, поддерживающая c ++ 0x

У меня есть небольшой игровой движок, написанный на c ++. Я рассматриваю возможность использования некоторых функций c ++ 0x

Какая минимальная версия ios требуется? Новый стандарт поставляется в виде дополнительной динамической библиотеки или просто статически связан?

Обновить:

Я планирую использовать лямбды, новые для вычета цикла и автоматического типа

Mooing Duck: Я хочу, чтобы оба сделали и запустили.

Поддержка C ++ 11 в iOS в значительной степени ограничена компилятором Clang, который медленно добавляет возможности C ++ 11 в течение нескольких выпусков. Стандартная библиотека iOS, поддерживающая C ++ 11, – это libc++ , и она динамически связана, поэтому новые функции, требующие стандартной поддержки библиотек, будут иметь минимальные версии SDK. На самом деле не было до iOS 5, что Apple почувствовала себя комфортно, сказав, что C ++ 11 поддерживается компилятором, но некоторые функции были доступны до этого. В конечном счете, это зависит от того, какую функцию вы рассматриваете, и простейшего способа узнать (поскольку я не знаю ни одного списка стилей и каких версий iOS, на которых они работают) просто делается небольшой тестовый пример и попробуйте создать его для разных версий SDK для iOS.

Давайте будем гением компьютера.